## org.eclipse.uml2.uml
Enum ExpansionKind

    java.lang.Object
      java.lang.Enum<ExpansionKind>
          org.eclipse.uml2.uml.ExpansionKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExpansionKind>, org.eclipse.emf.common.util.Enumerator

    public enum ExpansionKind

extends java.lang.Enum<ExpansionKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Expansion Kind', and utility methods for working with them. ExpansionKind is an enumeration type used to specify how multiple executions of an expansion region interact.

See Also:
  `UMLPackage.getExpansionKind()`

Enum Constant Summary
`ITERATIVE_LITERAL` The 'Iterative' literal object
`PARALLEL_LITERAL` The 'Parallel' literal object
`STREAM_LITERAL` The 'Stream' literal object

Field Summary
`static int` `ITERATIVE` The 'Iterative' literal value
`static int` `PARALLEL` The 'Parallel' literal value
`static int` `STREAM` The 'Stream' literal value
`static java.util.List<ExpansionKind>` `VALUES` A public read-only list of all the 'Expansion Kind' enumerators

Method Summary
`static ExpansionKind` `get(int value)` Returns the 'Expansion Kind' literal with the specified integer value
`static ExpansionKind` `get(java.lang.String literal)` Returns the 'Expansion Kind' literal with the specified literal value
`static ExpansionKind` `getByName(java.lang.String name)` Returns the 'Expansion Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ExpansionKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExpansionKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARALLEL_LITERAL

    public static final ExpansionKind PARALLEL_LITERAL

  The 'Parallel' literal object.

  See Also:
    `PARALLEL`

### ITERATIVE_LITERAL

    public static final ExpansionKind ITERATIVE_LITERAL

  The 'Iterative' literal object.

  See Also:
    `ITERATIVE`

### STREAM_LITERAL

    public static final ExpansionKind STREAM_LITERAL

  The 'Stream' literal object.

  See Also:
    `STREAM`

Field Detail

### PARALLEL

    public static final int PARALLEL

  The 'Parallel' literal value. The executions are independent. They may be executed concurrently.

  See Also:
    `PARALLEL_LITERAL`, Constant Field Values

### ITERATIVE

    public static final int ITERATIVE

  The 'Iterative' literal value. The executions are dependent and must be executed one at a time, in order of the collection elements.

  See Also:
    `ITERATIVE_LITERAL`, Constant Field Values

### STREAM

    public static final int STREAM

  The 'Stream' literal value. A stream of collection elements flows into a single execution, in order of the collection elements.

  See Also:
    `STREAM_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<ExpansionKind> VALUES

  A public read-only list of all the 'Expansion Kind' enumerators.

Method Detail

### values

    public static final ExpansionKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ExpansionKind c : ExpansionKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ExpansionKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ExpansionKind get(java.lang.String literal)

  Returns the 'Expansion Kind' literal with the specified literal value.

### getByName

    public static ExpansionKind getByName(java.lang.String name)

  Returns the 'Expansion Kind' literal with the specified name.

### get

    public static ExpansionKind get(int value)

  Returns the 'Expansion Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ExpansionKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.